Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Nebula » eclipse nebula project installation error(requires 'bundle org.eclipse.swt 3.103.0' but it could not be found Cannot satisfy dependency)
icon12.gif  eclipse nebula project installation error [message #1723441] Mon, 15 February 2016 17:36 Go to next message
Gary Shi is currently offline Gary ShiFriend
Messages: 21
Registered: July 2013
Junior Member
where I can find/download lib: 'bundle org.eclipse.swt 3.103.0'

when try to install Nebula project from below url in eclipse, got below error

http://download.eclipse.org/technology/nebula/snapshot/

errors:
Cannot complete the install because one or more required items could not be found.
Software being installed: Nebula Rich Text Feature 0.1.0.201602111357
(org.eclipse.nebula.widgets.richtext.feature.feature.group 0.1.0.201602111357)
Missing requirement: Nebula Richtext Widget 0.1.0.201602111357 (org.eclipse.nebula.widgets.richtext
0.1.0.201602111357) requires 'bundle org.eclipse.swt 3.103.0' but it could not be found
Cannot satisfy dependency:
From: Nebula Rich Text Feature 0.1.0.201602111357
(org.eclipse.nebula.widgets.richtext.feature.feature.group 0.1.0.201602111357)
To: org.eclipse.nebula.widgets.richtext [0.1.0.201602111357]


I have download and have swt package and have tried several version. Which one is correct and contain "org.eclipse.swt 3.103.0"

https://www.eclipse.org/swt/
I download swt.3.1.2
why I still got above error and can't install this project ? I need to use Rick Text package.

thanks
Gary
Re: eclipse nebula project installation error [message #1723450 is a reply to message #1723441] Mon, 15 February 2016 18:14 Go to previous messageGo to next message
Dirk Fauth is currently offline Dirk FauthFriend
Messages: 2614
Registered: July 2012
Senior Member
Well 3.103.0 is something else than 3.1.2

The version you download is several years old. You need at least Luna. So taking the latest version should work.
Re: eclipse nebula project installation error [message #1723453 is a reply to message #1723450] Mon, 15 February 2016 18:34 Go to previous messageGo to next message
Gary Shi is currently offline Gary ShiFriend
Messages: 21
Registered: July 2013
Junior Member
Now I removed swt3.1.2 and install latest version swt-4.4.2-win32-win32-x86.zip. I got same errors. It look like this error is for Rich Text Feature only. I only need to use this feature sadly. thanks
Re: eclipse nebula project installation error [message #1723455 is a reply to message #1723453] Mon, 15 February 2016 18:52 Go to previous messageGo to next message
Gary Shi is currently offline Gary ShiFriend
Messages: 21
Registered: July 2013
Junior Member
I may need to download some related bundles ?
Re: eclipse nebula project installation error [message #1723457 is a reply to message #1723455] Mon, 15 February 2016 19:00 Go to previous messageGo to next message
Gary Shi is currently offline Gary ShiFriend
Messages: 21
Registered: July 2013
Junior Member
which swt bundle (other than swt.jar) is required for installing eclipse nabula project in eclipse ? Thanks.
Re: eclipse nebula project installation error [message #1723458 is a reply to message #1723457] Mon, 15 February 2016 19:02 Go to previous messageGo to next message
Dirk Fauth is currently offline Dirk FauthFriend
Messages: 2614
Registered: July 2012
Senior Member
Which version of Eclipse are you using?
Re: eclipse nebula project installation error [message #1723461 is a reply to message #1723458] Mon, 15 February 2016 19:16 Go to previous messageGo to next message
Gary Shi is currently offline Gary ShiFriend
Messages: 21
Registered: July 2013
Junior Member
Eclipse for RCP and RAP Developers
Version: Juno Service Release 2
Build id: 20130225-0426
thanks



Re: eclipse nebula project installation error [message #1723463 is a reply to message #1723461] Mon, 15 February 2016 19:26 Go to previous messageGo to next message
Dirk Fauth is currently offline Dirk FauthFriend
Messages: 2614
Registered: July 2012
Senior Member
As I explained in my first answer, you need at least Luna. Not sure which libraries are all missing in your environment. Probably the platform dependent fragments. But if you want to install it to your ide I suggest to update to Luna or even Mars.
Re: eclipse nebula project installation error [message #1723468 is a reply to message #1723463] Mon, 15 February 2016 20:26 Go to previous messageGo to next message
Gary Shi is currently offline Gary ShiFriend
Messages: 21
Registered: July 2013
Junior Member
Thanks. I will download and install eclipse Mars.
Re: eclipse nebula project installation error [message #1724773 is a reply to message #1723468] Thu, 25 February 2016 21:57 Go to previous messageGo to next message
Gary Shi is currently offline Gary ShiFriend
Messages: 21
Registered: July 2013
Junior Member
Now I started from zero.
1. I download and install eclipse Luna eclipse with jdk1.8.
2. install swt4.4.2
3. download install latest nebela project.
4. install nebela project into Luna eclipse tool,
Please see attached image. The most of components were installed, but one failed, it is Nebula extension feature.
Any idea and what is wrong.ThanksC:\Users\yshi\Downloads\eclipseErr.png

Re: eclipse nebula project installation error [message #1724920 is a reply to message #1724773] Sat, 27 February 2016 07:12 Go to previous message
Dirk Fauth is currently offline Dirk FauthFriend
Messages: 2614
Registered: July 2012
Senior Member
Can't see your image. But the extension sounds like the NatTable rich text extension which you don't need if you are not using NatTable.

I wonder how you install. Aren't you using the install manager from Eclipse? There you could select what to install.
Previous Topic:Cell selection on Grid
Next Topic:Filterrow does not reveal full cell on edit
Goto Forum:
  


Current Time: Tue Sep 25 16:35:42 GMT 2018

Powered by FUDForum. Page generated in 0.02131 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top